﻿using System;

using Android.App;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using LineDragAndDrop;
using System.Collections.Generic;

namespace LineDragAndDrop.Droid
{
    [Activity(Label = "LineDragAndDrop", Icon = "@drawable/icon", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsApplicationActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            global::Xamarin.Forms.Forms.Init(this, bundle);

            Xamarin.Forms.Forms.ViewInitialized += Forms_ViewInitialized;
            LoadApplication(new App());
        }

        private void Forms_ViewInitialized(object sender, Xamarin.Forms.ViewInitializedEventArgs e)
        {
            SfChart nativeChart = e.NativeView as SfChart;

            if (e.NativeView is SfChart)
            {
                nativeChart.LabelsGenerated += NativeChart_LabelsGenerated;
            }
        }

        private void NativeChart_LabelsGenerated(object sender, SfChart.LabelsGeneratedEventArgs e)
        {
            IList<ChartPointInfo> pointInfo = e.P1;

            foreach (ChartPointInfo point in pointInfo)
            {
                var xValue = point.ChartDataPoint.GetX();
                Double x = Math.Round((Double)xValue, 2);

                var yValue = point.ChartDataPoint.GetY();
                Double y = Math.Round((Double)yValue, 2);

                point.Label = "XValue :" + x.ToString() + "\n" + "YValue: " + y.ToString();
            }
        }
    }
}

