﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using Syncfusion.SfChart.iOS;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.iOS;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using UIKit;

namespace LineDragAndDrop.iOS
{
    // The UIApplicationDelegate for the application. This class is responsible for launching the 
    // User Interface of the application, as well as listening (and optionally responding) to 
    // application events from iOS.
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        //
        // This method is invoked when the application has loaded and is ready to run. In this 
        // method you should instantiate the window, load the UI into it and then make the window
        // visible.
        //
        // You have 17 seconds to return from this method, or iOS will terminate your application.
        //
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            global::Xamarin.Forms.Forms.Init();
      
			new SfChartRenderer();

			Xamarin.Forms.Forms.ViewInitialized += (object sender, Xamarin.Forms.ViewInitializedEventArgs e) =>
		  	{
				  if (e.NativeView is SFChart)
				  {
					  SFChart nativeChart = (e.NativeView as SFChart);
					  nativeChart.Delegate = new CustomDelegate();
				  }
			  };
			 LoadApplication(new App());
            return base.FinishedLaunching(app, options);
        }
    }


	public class CustomDelegate : SFChartDelegate
	{
		public override void DidTrackballLabelsGenerate(SFChart chart, NSArray pointsInfo)
		{

			NSMutableArray points = pointsInfo as NSMutableArray;

			for (uint i = 0; i < pointsInfo.Count; i++)
			{
				SFChartPointInfo point = points.GetItem<SFChartPointInfo>(i);

				nint index = (point.ValueForKey(new NSString("index")) as NSNumber).Int32Value;

				 SFChartDataPoint CurrentPoint = chart.DataSource.GetDataPoint(chart, index, chart.IndexOfSeries(point.Series));

				Double xValue = ((NSNumber)CurrentPoint.XValue).DoubleValue;
				Double x = Math.Round((Double)xValue, 2);

				Double yValue = ((NSNumber)CurrentPoint.YValue).DoubleValue;
				Double y = Math.Round((Double)yValue, 2);

				point.Label = "XValue :" + x.ToString() + "\n" + "YValue: " + y.ToString();
			}
			
		}
		
	}
}
