﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace LineDragAndDrop
{
    public class Model : INotifyPropertyChanged
    {
        public Double Date { get; set; }

        private Double _Value;
        public Double Value
        {
            get { return _Value; }
            set { _Value = value; OnPropertyChanged(); }
        }

        public Model(Double date, double value)
        {
            Date = date;
            Value = value;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}